### Method

# Ide DeviceInfo set_host_triplet

#### Declaration

    void
    ide_device_info_set_host_triplet (
      IdeDeviceInfo* self,
      IdeTriplet* host_triplet
    )

#### Description

Set the `IdeTriplet` object describing the configuration name.

Available since: | 3.32

Sets property | `Ide.DeviceInfo:host-triplet`

#### Parameters

`host_triplet` | `IdeTriplet`
| No description available.
| The data is owned by the caller of the function.